#include <stdio.h>
#include <dos.h>
#include <memory.h>
#include <fcntl.h>

#include "fmp.h"
#include "..\common.h"
#include "..\extern.h"

int FMP_check( void )
{
	char	id[16];

	memset( id, 0, sizeof( id ));

	_readvect( 0xD2, 0, 2, id );

	if( memcmp( id, "FMP", 3 ) != 0 )
	{
		printf( MES[MES_DRVNOTFOUND], DRIVER_name );
		return 1;
	}

	printf( INFO[INFO_DRIVER], DRIVER_name );

	return 0;
}

int FMP_load( char *filename )
{
	long				filesize;
	unsigned char far	*p;

	filesize = _filesize( filename );
	if( filesize == -1 ) return 1;

	p = _far_calloc( filesize );
	if( p == NULL ) return 1;
	_far_fileload( filename, p );

	/* Music : DS:SI */
	r.h.al = 0x03;
	sr.ds  = FP_SEG( p );
	r.x.si = FP_OFF( p );
	int86x( 0xD2, &r, &ro, &sr );

	farfree( p );

	return 0;
}

int FMP_play( char *opt1, char *opt2 )
{
	return 0;
}

int FMP_stop( void )
{
	r.h.al = 0x00;
	int86x( 0xD2, &r, &ro, &sr );

	return 0;
}

int FMP_fade( void )
{
	r.h.al = 0x08;
	int86x( 0xD2, &r, &ro, &sr );

	return 0;
}
