#include <stdio.h>
#include <dos.h>
#include <memory.h>

#include "mbmus.h"
#include "..\common.h"
#include "..\extern.h"

int MBMUS_check( void )
{
	char	id[16];

	memset( id, 0, sizeof( id ));

	_readvect( 0x68, 0, 2, id );

	if( memcmp( id, "Pv", 2 ) != 0 )
	{
		if( memcmp( &id[1], "Pv", 2 ) != 0 )
		{
			printf( MES[MES_DRVNOTFOUND], DRIVER_name );
			return 1;
		}
	}

	printf( INFO[INFO_DRIVER], DRIVER_name );

	return 0;
}

int MBMUS_load( char *filename )
{
	long	filesize;

	filesize = _filesize( filename );
	if( filesize == -1 ) return 1;

	/* Music : DS:DX */
	r.h.ah = 0x01;
	sr.ds  = FP_SEG( filename );
	r.x.dx = FP_OFF( filename );
	int86x( 0x68, &r, &ro, &sr );

	printf( INFO[INFO_LOAD], filename, filesize );

	return 0;
}

int MBMUS_play( char *opt1, char *opt2 )
{
	return 0;
}

int MBMUS_stop( void )
{
	r.h.ah = 0x03;
	int86x( 0x68, &r, &ro, &sr );

	return 0;
}

int MBMUS_fade( void )
{
	r.h.ah = 0x05;
	int86x( 0x68, &r, &ro, &sr );

	return 0;
}
