#include <stdio.h>
#include <dos.h>
#include <memory.h>
#include <fcntl.h>

#include "nax.h"
#include "..\common.h"
#include "..\extern.h"
#include "..\gmpv4sp.h"

int NAX_check( void )
{
	char	id[16];
	char	flag = 0;

	memset( id, 0, sizeof( id ));

	_readvect( 0x60, 1, 0x0106, id );

	if( memcmp( id, ".", 2 ) == 0 ) flag = 1;
	if( memcmp( id, "/", 2 ) == 0 ) flag = 1;
	if( memcmp( id, "", 1 ) == 0 ) flag = 1;

	if( flag == 0 )
	{
		printf( MES[MES_DRVNOTFOUND], DRIVER_name );
		return 1;
	}

	printf( INFO[INFO_DRIVER], DRIVER_name );

	return 0;
}

int NAX_load( char *filename )
{
	if( GMPV4SP_load( filename, 0, 0, 1 ) == -1 ) return 1;

	return 0;
}

int NAX_play( char *opt1, char *opt2 )
{
	GMPV4SP_address( &seg, &off, 0 );

	/* Music : DX:0000 */
	r.h.ah = 0x01;
	r.x.dx = seg;
	int86x( 0x60, &r, &ro, &sr );

	return 0;
}

int NAX_stop( void )
{
	r.h.ah = 0x02;
	int86x( 0x60, &r, &ro, &sr );

	return 0;
}

int NAX_fade( void )
{
	r.h.ah = 0x03;
	int86x( 0x60, &r, &ro, &sr );

	return 0;
}
