#include <stdio.h>
#include <string.h>
#include <dos.h>
#include <memory.h>
#include <fcntl.h>

#include "opndrv.h"
#include "..\common.h"
#include "..\extern.h"

int OPNDRV_check( void )
{
	char	id[16];

	memset( id, 0, sizeof( id ));

	_readvect( 0x14, 1, -8, id ); /* INT5 */

	if( memcmp( id, "OPNDRV", 6 ) != 0 )
	{
		printf( MES[MES_DRVNOTFOUND], DRIVER_name );
		return 1;
	}

	printf( INFO[INFO_DRIVER], DRIVER_name );

	return 0;
}

int OPNDRV_load( char *filename )
{
	unsigned char far	*p = NULL;

	r.x.ax = 0x0000;
	int86x( 0xD2, &r, &ro, &sr );

	/* Music : AX:0000 */
	r.x.ax = 0x0005;
	r.x.cx = 0x2000;
	int86x( 0xD2, &r, &ro, &sr );

	p = MK_FP(( unsigned short )ro.x.ax, 0x0000 );
	if( _far_fileload( filename, p ) == -1 ) return 1;

	return 0;
}

int OPNDRV_play( char *opt1, char *opt2 )
{
	r.x.ax = 0x0001;
	if( strcmpi( opt1, OPT[OPT_LOOP] ) == 0 ) r.h.dl = 0x01;
	int86x( 0xD2, &r, &ro, &sr );

	return 0;
}

int OPNDRV_stop( void )
{
	r.x.ax = 0x0002;
	int86x( 0xD2, &r, &ro, &sr );

	return 0;
}

int OPNDRV_fade( void )
{
	r.x.ax = 0x0003;
	r.h.cl = 0x08;
	int86x( 0xD2, &r, &ro, &sr );

	return 0;
}
