#include <stdio.h>

#include "driver\trpschrn.h"
#include "driver\synthia.h"
#include "driver\fmp3.h"
#include "driver\neodrv.h"
#include "driver\cmd.h"
#include "driver\fmx.h"
#include "driver\bgmdrv.h"
#include "driver\play6.h"
#include "driver\mbmus.h"
#include "driver\ufmd.h"
#include "driver\mdrv98.h"
#include "driver\play5.h"
#include "driver\mfm.h"
#include "driver\music60.h"
#include "driver\music70.h"
#include "driver\music68.h"
#include "driver\mmdr.h"
#include "driver\ms.h"
#include "driver\emi.h"
#include "driver\naru.h"
#include "driver\fplay.h"
#include "driver\hhd.h"
#include "driver\mfd.h"
#include "driver\usddrv.h"
#include "driver\nax.h"
#include "driver\fmp.h"
#include "driver\ibgm.h"
#include "driver\exmus.h"
#include "driver\rme.h"
#include "driver\mmd3.h"
#include "driver\miz3.h"
#include "driver\emd.h"
#include "driver\msdrv4.h"
#include "driver\opndrv.h"
#include "driver\fmd.h"
#include "driver\scbios.h"
#include "driver\fmudrv2.h"
#include "driver\musdrv.h"
#include "driver\ss.h"
#include "driver\sdn.h"
#include "driver\mako.h"
#include "driver\music48.h"
#include "driver\mmd.h"
#include "driver\pmd.h"
#include "driver\rx.h"
#include "driver\musicd2.h"
#include "driver\music41.h"

#include "driver.h"

	struct _DRIVER DRIVER[] =
	{
		{
			"TRPSCHRN", 0,
			TRPSCHRN_check, TRPSCHRN_load,
			TRPSCHRN_play, TRPSCHRN_stop, TRPSCHRN_fade,
		},
		{
			"SYNTHIA", 0,
			SYNTHIA_check, SYNTHIA_load,
			SYNTHIA_play, SYNTHIA_stop, SYNTHIA_fade,
		},
		{
			"FMP3", 1,
			FMP3_check, FMP3_load,
			FMP3_play, FMP3_stop, FMP3_fade,
		},
		{
			"NEODRV", 0,
			NEODRV_check, NEODRV_load,
			NEODRV_play, NEODRV_stop, NEODRV_fade,
		},
		{
			"CMD", 0,
			CMD_check, CMD_load,
			CMD_play, CMD_stop, CMD_fade,
		},
		{
			"FMX", 0,
			FMX_check, FMX_load,
			FMX_play, FMX_stop, FMX_fade,
		},
		{
			"BGMDRV", 1,
			BGMDRV_check, BGMDRV_load,
			BGMDRV_play, BGMDRV_stop, BGMDRV_fade,
		},
		{
			"PLAY6", 0,
			PLAY6_check, PLAY6_load,
			PLAY6_play, PLAY6_stop, PLAY6_fade,
		},
		{
			"MBMUS", 0,
			MBMUS_check, MBMUS_load,
			MBMUS_play, MBMUS_stop, MBMUS_fade,
		},
		{
			"UFMD", 1,
			UFMD_check, UFMD_load,
			UFMD_play, UFMD_stop, UFMD_fade,
		},
		{
			"MDRV98", 0,
			MDRV98_check, MDRV98_load,
			MDRV98_play, MDRV98_stop, MDRV98_fade,
		},
		{
			"PLAY5", 0,
			PLAY5_check, PLAY5_load,
			PLAY5_play, PLAY5_stop, PLAY5_fade,
		},
		{
			"MFM", 1,
			MFM_check, MFM_load,
			MFM_play, MFM_stop, MFM_fade,
		},
		{
			"MUSIC60", 0,
			MUSIC60_check, MUSIC60_load,
			MUSIC60_play, MUSIC60_stop, MUSIC60_fade,
		},
		{
			"MUSIC70", 0,
			MUSIC70_check, MUSIC70_load,
			MUSIC70_play, MUSIC70_stop, MUSIC70_fade,
		},
		{
			"MUSIC68", 0,
			MUSIC68_check, MUSIC68_load,
			MUSIC68_play, MUSIC68_stop, MUSIC68_fade,
		},
		{
			"MMDR", 1,
			MMDR_check, MMDR_load,
			MMDR_play, MMDR_stop, MMDR_fade,
		},
		{
			"MS", 1,
			MS_check, MS_load,
			MS_play, MS_stop, MS_fade,
		},
		{
			"EMI", 1,
			EMI_check, EMI_load,
			EMI_play, EMI_stop, EMI_fade,
		},
		{
			"NARU", 1,
			NARU_check, NARU_load,
			NARU_play, NARU_stop, NARU_fade,
		},
		{
			"FPLAY", 0,
			FPLAY_check, FPLAY_load,
			FPLAY_play, FPLAY_stop, FPLAY_fade,
		},
		{
			"HHD", 0,
			HHD_check, HHD_load,
			HHD_play, HHD_stop, HHD_fade,
		},
		{
			"MFD", 1,
			MFD_check, MFD_load,
			MFD_play, MFD_stop, MFD_fade,
		},
		{
			"USDDRV", 0,
			USDDRV_check, USDDRV_load,
			USDDRV_play, USDDRV_stop, USDDRV_stop,
		},
		{
			"NAX", 1,
			NAX_check, NAX_load,
			NAX_play, NAX_stop, NAX_fade,
		},
		{
			"FMP", 0,
			FMP_check, FMP_load,
			FMP_play, FMP_stop, FMP_fade,
		},
		{
			"IBGM", 1,
			IBGM_check, IBGM_load,
			IBGM_play, IBGM_stop, IBGM_fade,
		},
		{
			"EXMUS", 0,
			EXMUS_check, EXMUS_load,
			EXMUS_play, EXMUS_fade, EXMUS_fade,
		},
		{
			"RME", 1,
			RME_check, RME_load,
			RME_play, RME_stop, RME_stop,
		},
		{
			"MMD3", 0,
			MMD3_check, MMD3_load,
			MMD3_play, MMD3_stop, MMD3_fade,
		},
		{
			"MIZ3", 1,
			MIZ3_check, MIZ3_load,
			MIZ3_play, MIZ3_stop, MIZ3_stop,
		},
		{
			"EMD", 0,
			EMD_check, EMD_load,
			EMD_play, EMD_stop, EMD_fade,
		},
		{
			"MSDRV4", 0,
			MSDRV4_check, MSDRV4_load,
			MSDRV4_play, MSDRV4_stop, MSDRV4_fade,
		},
		{
			"OPNDRV", 0,
			OPNDRV_check, OPNDRV_load,
			OPNDRV_play, OPNDRV_stop, OPNDRV_fade,
		},
		{
			"FMD", 0,
			FMD_check, FMD_load,
			FMD_play, FMD_stop, FMD_stop,
		},
		{
			"SCBIOS", 0,
			SCBIOS_check, SCBIOS_load,
			SCBIOS_play, SCBIOS_stop, SCBIOS_fade,
		},
		{
			"FMUDRV2", 1,
			FMUDRV2_check, FMUDRV2_load,
			FMUDRV2_play, FMUDRV2_stop, FMUDRV2_fade,
		},
		{
			"MUSDRV", 0,
			MUSDRV_check, MUSDRV_load,
			MUSDRV_play, MUSDRV_stop, MUSDRV_stop,
		},
		{
			"SS", 0,
			SS_check, SS_load,
			SS_play, SS_stop, SS_fade,
		},
		{
			"SDN", 1,
			SDN_check, SDN_load,
			SDN_play, SDN_stop, SDN_fade,
		},
		{
			"MAKO", 1,
			MAKO_check, MAKO_load,
			MAKO_play, MAKO_stop, MAKO_stop,
		},
		{
			"MUSIC48", 0,
			MUSIC48_check, MUSIC48_load,
			MUSIC48_play, MUSIC48_stop, MUSIC48_stop,
		},
		{
			"MMD", 0,
			MMD_check, MMD_load,
			MMD_play, MMD_stop, MMD_fade,
		},
		{
			"PMD", 0,
			PMD_check, PMD_load,
			PMD_play, PMD_stop, PMD_fade,
		},
		{
			"RX", 0,
			RX_check, RX_load,
			RX_play, RX_stop, RX_fade,
		},
		{
			"MUSICD2", 0,
			MUSICD2_check, MUSICD2_load,
			MUSICD2_play, MUSICD2_stop, MUSICD2_stop,
		},
		{
			"MUSIC41", 1,
			MUSIC41_check, MUSIC41_load,
			MUSIC41_play, MUSIC41_stop, MUSIC41_stop,
		},
		{
			NULL,NULL,NULL,NULL,NULL,NULL,NULL,
		},
/*
		{
			"drivername",gmpv4sp,
			_check,_load,
			_play,_stop,_fade,
		},
*/
	};
