#include <stdio.h>
#include <dos.h>
#include <memory.h>
#include <fcntl.h>

#include "mfd.h"
#include "..\common.h"
#include "..\extern.h"
#include "..\gmpv4sp.h"

int MFD_check( void )
{
	char	id[16];

	memset( id, 0, sizeof( id ));

	_readvect( 0x7C, 0, -4, id );

	if( memcmp( id, "MFD", 3 ) != 0 )
	{
		printf( MES[MES_DRVNOTFOUND], DRIVER_name );
		return 1;
	}

	printf( INFO[INFO_DRIVER], DRIVER_name );

	return 0;
}

int MFD_load( char *filename )
{
	if( GMPV4SP_load( filename, 0, 0, 1 ) == -1 ) return 1;

	GMPV4SP_address( &seg, &off, 0 );

	/* Music : DS:SI */
	r.h.ah = 0x08;
	sr.ds = seg;
	r.x.si = off;
	int86x( 0x7C, &r, &ro, &sr );

	return 0;
}

int MFD_play( char *opt1, char *opt2 )
{
	r.h.ah = 0x00;
	int86x( 0x7C, &r, &ro, &sr );

	return 0;
}

int MFD_stop( void )
{
	r.h.ah = 0x01;
	int86x( 0x7C, &r, &ro, &sr );

	return 0;
}

int MFD_fade( void )
{
	r.h.ah = 0x03;
	r.h.al = 0x04;
	int86x( 0x7C, &r, &ro, &sr );

	return 0;
}
